from attrs import field, define
from attrs.validators import instance_of

from src.data_classes.parameters_general import GeneralParameters


@define
class TTestParameters(GeneralParameters):
    variable_1: str = field(validator=instance_of(str))
    variable_2: str = field(validator=instance_of(str))


class PairedTTestParameters(TTestParameters):
    pass
